#include <iostream>
#include <vector>
#include <set>

using namespace std;

int main()
{
    int n;

    cin >> n;
    int a[n];

    for(int i=0;i<n; i++)
    {
        cin >> a[i];
    }

    for(int i=0; i <n;i++)
    {
        vector<int> b;
        int res = 1;

        for(int j=1; j<=a[i]; j++)
        {
            res=1;
            int g=j;
            while(g>=1)
            {
                res=res*(g%10);
                g=g/10;
            }
            b.push_back(res);
        }

        set<int> br(b.begin(), b.end());
        cout << br.size() << endl;
    }

    return 0;
}